package Object;
use 5.10.1;
use strict;
use warnings;

use Exporter 'import';
our @EXPORT = qw(OBJ_UNKNOWN OBJ_INTEGER OBJ_BOOLEAN OBJ_STRING TRUE FALSE);

use constant OBJ_UNKNOWN => 'Unknown';
use constant OBJ_BOOLEAN => 'Boolean';
use constant OBJ_INTEGER => 'Integer';
use constant OBJ_STRING  => 'String';
use constant TRUE => 'true';
use constant FALSE => 'false';

sub new {
    my $class = shift;
    my $self = {@_};
    bless $self, $class;
    $self;
}

sub to_string {
    my $self = shift;
    "Object(" . $self->{type} . ", " . $self->{value} . ")";
}

1;

